> For the complete documentation index, see [llms.txt](https://docs.maiagent.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maiagent.ai/tools.md).

# 工具

- [工具功能概覽](https://docs.maiagent.ai/tools/tool_description.md): 本篇將介紹何謂工具，工具如何協助 AI 助理及 MaiAgent 支援的工具類型概覽
- [建立 MCP 工具](https://docs.maiagent.ai/tools/mcp-setup.md): 本指南將引導您在平台中建立新的 MCP 工具。
- [聯絡人 MCP 憑證設定](https://docs.maiagent.ai/tools/setup-contacts-mcp-credentials.md): 實現個人化的 MCP 工具憑證管理，確保資料安全隔離
- [建立 API 工具](https://docs.maiagent.ai/tools/setup_api_tool.md): 本指南將引導您在平台中建立新的 MCP 工具。
- [內建 AI 圖像生成工具](https://docs.maiagent.ai/tools/ai-image-generation-guide.md): 本篇將介紹 MaiAgent 內建的 AI 圖像生成工具，並比較其效果及適用場景
- [Gemini 3 圖片生成工具](https://docs.maiagent.ai/tools/gemini-3-image-tool.md): 使用 Gemini 3 Pro Image 從文字提示生成高品質圖片
- [使用 Supabase 進行 Text to SQL](https://docs.maiagent.ai/tools/text-to-sql-supabase.md): 本文章將介紹如何在 MaiAgent 中使用 supabase 進行 Text to SQL 功能
- [爲 AI 助理配置工具](https://docs.maiagent.ai/tools/configure_tools.md)
- [Agent UI](https://docs.maiagent.ai/tools/agent-ui.md): 讓 AI 助理在對話中自動送出視覺化資訊卡片，搭配可互動的按鈕，帶給使用者比純文字更豐富的回覆體驗。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maiagent.ai/tools.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
